Resolve a set of references
curl --request POST \
--url https://app.myhero.so/automation/resolve-references \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"refs": [
{}
],
"workspaceId": "<string>",
"automationId": "<string>"
}
'import requests
url = "https://app.myhero.so/automation/resolve-references"
payload = {
"projectId": "<string>",
"refs": [{}],
"workspaceId": "<string>",
"automationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
refs: [{}],
workspaceId: '<string>',
automationId: '<string>'
})
};
fetch('https://app.myhero.so/automation/resolve-references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Automations
Resolve a set of references
Reports what each hero: reference currently points at, and which no longer resolve.
Used by the form’s reference panel; it changes nothing.
POST
/
automation
/
resolve-references
Resolve a set of references
